Loading...
Searching...
No Matches
4x4 Matrix
Foundation Classes » Mathematics » Primitive datatypes

## Storers

typedef TMatrix4x4< float > | BALL::Matrix4x4
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TMatrix4x4< T > &m)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TMatrix4x4< T > &m)
template<typename T>
TMatrix4x4< T > | BALL::operator* (const T &scalar, const TMatrix4x4< T > &m)
template<typename T>
TVector3< T > | BALL::operator* (const TMatrix4x4< T > &matrix, const TVector3< T > &vector)

## Detailed Description

Matrix representing transformations: class TMatrix4x4 and class Matrix4x4

## Typedef Documentation

## Matrix4x4

typedef TMatrix4x4<float> BALL::Matrix4x4

The Default TMatrix4x4 Type. This default is predefined for convenience for those cases where single precision is sufficient.

Definition at line 2184 of file matrix44.h.

## Function Documentation

## operator*() [1/2]

template<typename T>

TMatrix4x4< T > BALL::operator* | ( | const T & | scalar,
|  | const TMatrix4x4< T > & | m )

Definition at line 1295 of file matrix44.h.

## operator*() [2/2]

template<typename T>

TVector3< T > BALL::operator* | ( | const TMatrix4x4< T > & | matrix,
|  | const TVector3< T > & | vector )

Definition at line 1328 of file matrix44.h.

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TMatrix4x4< T > & | m )

Output Operator Writes sixteen values of type T to an output stream.

Parameters

  s | the output stream
  m | the matrix to write

Definition at line 2140 of file matrix44.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TMatrix4x4< T > & | m )

Input Operator. Read sixteen values of type T from an input stream.

Parameters

  s | the input stream
  m | the matrix to read

Definition at line 2127 of file matrix44.h.